#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

puts("-------------------------")
while true
  puts("-小学生でもわかるクイズ- ")
  print("行いたいクイズを\n選んで下さい\n")
  puts("[1]県庁所在地クイズ")
  puts("[2]計算クイズ")
  puts("")
  puts("[その他]やめる")
  sentaku = gets.to_i
  if sentaku == 1
    while mon > 11
    mon = 1
    puts("【県庁所在地クイズ】")
    printf("第%d問",mon)
    print("Q,")
    q = ["宮城県","石川県","兵庫県"]
    a = ["仙台市","金沢市","神戸市"]
    seikai = 0
    matigai = 0
    srand()
    ransuu = rand(2)
    printf("%sの県庁所在地は?\n",q[ransuu])
    ans = gets.chomp
    if ans == a[ransuu]
      puts("正解!!")
      seikai += 1
    else
      puts("不正解…")
      printf("答えは%sです。\n",a[ransuu])
    end
  elsif sentaku == 2
  else
    break
  end
end
puts("-------------------------")
